﻿using BankDataModels;
using BankDataModels.ProxyModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class PaymentViewModel : IPaymentModel
    {
        public int Id { get; set; }
        public int OperationByPurchaseModelId { get; set; }
        [DisplayName("Стоимость")]
        public double FullPrice { get; set; }
        [DisplayName("Оплаченная стоимость")]
        public double PaidPrice { get; set; }
        public int OperationByPurchaseId { get; set; }
        [DisplayName("Дата оплаты")]
        public DateOnly Date { get; set; } = DateOnly.FromDateTime(DateTime.Now);
        public OperationByPurchaseModel OperationByPurchase { get; set; }

        // Машины для отчета за период
        public OperationViewModel Operation { get; set; }
    }
}
