﻿using System.ComponentModel.DataAnnotations;
using BankDataModels.ProxyModels;

namespace BankDatabaseImplement.Models
{
    public class OperationByPurchase : OperationByPurchaseModel
    {
        [Required]
        public Operation? Operation { get; private set; }
        [Required]
        public Purchase? Purchase { get; private set; }
        [Required]
        public List<Payment>? Payments { get; private set; }
    }
}